import './view/page/login/Login.jsx';
import './view/page/account/WelcomePage.jsx';
import './view/page/account/Account.jsx';
import './view/page/tmp/Fields.jsx';

import './view/cmp/switch/Switch.jsx';
import Header from './view/block/header/Header.jsx';
import "/global-styles/base.scss";

export default function() {
  let tagField, exportEl;

  let dom = <div renderTo={document.body} cls="page-content">
    <view.block.Header/>
    {Switch({cls: 'page-content__inner', key: 'navigation.current'}, {
      login: new view.page.Login(),
      welcome: new view.page.WelcomePage(),
      fields: new view.page.tmp.Fields(),
      account: new view.page.Account()
    })}
  </div>;
};


